Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

Export Customers

Idempotency Supported

This API triggers export of customer data. The exported zip file contains CSV files with customer-related data.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/exports/customers

Input Parameters

export_type
optional, enumerated string, default=data

Determines the format of the data. Returns the export type based on the selected value.

Enum Values
data

Download your current data in CSV.

import_friendly_data

Download import friendly data in CSV. This CSV can be used to perform bulk operations .

business_entity_id
optional, string

optional, string filter

The unique ID of the business entity of this subscription. This is always the same as the business entity of the customer.

Supported operators : is, is_not, starts_with

Example → business_entity_id[is] = "business_entity_id"

customer
Parameters for customer
pass parameters as customer[<param name>]
relationship
Parameters for relationship
pass parameters as relationship[<param name>]

Returns

Export object
Resource object representing export